lwIP 2.1.2 Lightweight IP stack

Macros
NETDB API
APIs » Socket API

## Macros
#define | gethostbyname(name) lwip_gethostbyname(name)
#define | gethostbyname_r(name, ret, buf, buflen, result, h_errnop) lwip_gethostbyname_r(name, ret, buf, buflen, result, h_errnop)
#define | freeaddrinfo(addrinfo) lwip_freeaddrinfo(addrinfo)
#define | getaddrinfo(nodname, servname, hints, res) lwip_getaddrinfo(nodname, servname, hints, res)

## Detailed Description

## Macro Definition Documentation

## ◆ freeaddrinfo

#define freeaddrinfo | ( |  | addrinfo | ) | lwip_freeaddrinfo(addrinfo)

## ◆ getaddrinfo

#define getaddrinfo | ( |  | nodname,
|  |  | servname,
|  |  | hints,
|  |  | res
| ) |  | lwip_getaddrinfo(nodname, servname, hints, res)

## ◆ gethostbyname

#define gethostbyname | ( |  | name | ) | lwip_gethostbyname(name)

## ◆ gethostbyname_r

#define gethostbyname_r | ( |  | name,
|  |  | ret,
|  |  | buf,
|  |  | buflen,
|  |  | result,
|  |  | h_errnop
| ) |  | lwip_gethostbyname_r(name, ret, buf, buflen, result, h_errnop)